be.ehealth.technicalconnector.handler

## Enum AbstractWsSecurityHandler.SignedParts

- java.lang.Object
- - java.lang.Enum<AbstractWsSecurityHandler.SignedParts>
  - - be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler.SignedParts

- All Implemented Interfaces:
    Serializable, Comparable<AbstractWsSecurityHandler.SignedParts>
  Enclosing class:
    AbstractWsSecurityHandler

      public static enum AbstractWsSecurityHandler.SignedParts
      extends Enum<AbstractWsSecurityHandler.SignedParts>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BODY`
    `BST`
    `SAML_ASSERTION`
    `TIMESTAMP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractWsSecurityHandler.SignedParts` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractWsSecurityHandler.SignedParts[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BODY

          public static final AbstractWsSecurityHandler.SignedParts BODY

    - #### TIMESTAMP

          public static final AbstractWsSecurityHandler.SignedParts TIMESTAMP

    - #### BST

          public static final AbstractWsSecurityHandler.SignedParts BST

    - #### SAML_ASSERTION

          public static final AbstractWsSecurityHandler.SignedParts SAML_ASSERTION

  - ### Method Detail

    - #### values

          public static AbstractWsSecurityHandler.SignedParts[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractWsSecurityHandler.SignedParts c : AbstractWsSecurityHandler.SignedParts.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractWsSecurityHandler.SignedParts valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.